# ARXWizardDialog.ARXWizardButton (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ARXWizardDialog.ARXWizardButton

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.ARXWizardDialog.ARXWizardButton

- Enclosing class:
    ARXWizardDialog

      protected static class ARXWizardDialog.ARXWizardButton
      extends java.lang.Object

  A specification for a button to add to the wizard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARXWizardDialog.ARXWizardButton(java.lang.String text, org.eclipse.swt.events.SelectionListener listener)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ARXWizardDialog.ARXWizardButton

          public ARXWizardDialog.ARXWizardButton(java.lang.String text,
                                         org.eclipse.swt.events.SelectionListener listener)

      Creates a new instance.
      Parameters:
        `text` -
        `listener` -